#
#       Makefile for maplib
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

ROOTDIR     = ..\..\..
OBJDIR      = ..

FSRC        = mpfcyl.f mpfmer.f mpfmwd.f mpfmwl.f mpfhmr.f mpfek6.f \
              mpfktd.f mpfcon.f mpfcoa.f mpfcoc.f mpfbon.f mpfotg.f \
              mpfpst.f mpfazm.f mpfaza.f mpzmwd.f mpzek6.f mpzktd.f \
              mpznwt.f xmplon.f                                     \
		  mpfcct.f mpfcya.f mpfcyb.f mpfcyc.f mpfglb.f mpfgno.f \
		  mpfmil.f mpfplc.f mpfpt2.f mpfrbs.f mpfsin.f mpfvdg.f \
		  mpnwtn.f

FOBJ = $(FSRC:.f=.obj)

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec
build-exec: $(FOBJ)

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

